# Script Metadata
scriptName="bklog"; # Define basename of script file.
-scriptVersion="0.1.22"; # Define version of script.
+scriptVersion="0.1.23"; # Define version of script.
scriptURL="https://gitlab.com/baltakatei/ninfacyzga-01"; # Define wesite hosting this script.
scriptTimeStart="$(date +%Y%m%dT%H%M%S.%N)"; # YYYYmmddTHHMMSS.NNNNNNNNN
scriptHostname=$(hostname); # Save hostname of system running this script.
-t | --temp-dir) optionTmpDir="true" && argTempDirPriority="$2"; shift;; # Set time zone
-b | --buffer-ttl) optionCustomBufferTTL="true" && argCustomBufferTTL="$2"; shift;; # Set custom buffer period (default: 300 seconds)
-B | --script-ttl) optionCustomScriptTTL_TE="true" && argCustomScriptTTL_TE="$2"; shift;; # Set custom script TTL (default: "day")
- -p | --process-string) optionProcString="true" && argProcStrings+=("$2") && argProcFileExts+=("$3") && vbm "STATUS:file extension \"$2\" for output of processing string added:\"$3\""; shift; shift;;
+ -p | --process-string) optionProcString="true" && argProcStrings+=("$2") && argProcFileExts+=("$3") && vbm "STATUS:file extension \"$3\" for output of processing string added:\"$2\""; shift; shift;;
-l | --label) optionLabel="true" && argLabel="$2"; vbm "DEBUG :Custom label received:$argLabel"; shift;;
-w | --store-raw) optionStoreRaw="true" && argRawFileExt="$2"; vbm "DEBUG :Raw stdin file extension received:$argRawFileExt"; shift;;
-W | --no-store-raw) optionNoStoreRaw="true"; vbm "DEBUG :Option selected to not store raw stdin data."; shift;;
cmd_compress_suffix="" && vbm "STATUS:$fn:cmd_compress_suffix:$cmd_compress_suffix";
vbm "DEBUG :$fn:Compression not enabled.";
fi;
- vbm "STATUS:$fn:Starting magicParseCompressionArg() function.";
+ vbm "STATUS:$fn:Finished magicParseCompressionArg() function.";
} # Form compression cmd string and filename suffix
magicParseCustomTTL() {
# Desc: Set user-specified TTLs for buffer and script
fi;
## F: do not change scriptTTL_TE
fi;
- vbm "STATUS:$fn:Starting magicParseCustomTTL() function.";
+ vbm "STATUS:$fn:Finished magicParseCustomTTL() function.";
} # Sets custom script or buffer TTL if specified
magicParseLabel() {
# Desc: Parses -l option to set label
exit 1; fi; done;
vbm "STATUS:$fn:Quick check shows argProcStrings and argProcFileExts appear to have valid contents.";
vbm "STATUS:$fn:argProcStrings:${argProcStrings[*]}"
- vbm "STATUS:$fn:argProcStrings:${argProcFileExts[*]}"
+ vbm "STATUS:$fn:argProcFileExts:${argProcFileExts[*]}"
procStrings+=("${argProcStrings[@]}"); # Export process command strings
procFileExts+=("${argProcFileExts[@]}"); # Export process command strings
+ vbm "STATUS:$fn:procStrings:${procStrings[*]}"
+ vbm "STATUS:$fn:procFileExts:${procFileExts[*]}"
vbm "STATUS:$fn:Finished magicParseProcessStrings() function.";
} # Validate and save process strings and file extensions to arrays procStrings, procFileExts
magicParseRecipients() {
vbm "STATUS:$fn:Starting magicSetScriptTTL() function.";
argTimeElement="$1";
if [[ "$argTimeElement" = "day" ]]; then
- # Set script lifespan to end at start of next day
+ # Set script lifespan to end at start of next day
+ vbm "STATUS:$fn:Setting script lifespan to end at start of next day. argTimeElement:$argTimeElement";
if ! scriptTTL="$(timeUntilNextDay)"; then # sets scriptTTL, then checks exit code
if [[ "$scriptTTL" -eq 0 ]]; then
- ((scriptTTL++)); # Add 1 because 0 would cause 'timeout' to never timeout.
+ ((scriptTTL++)); # Add 1 because 0 would cause 'timeout' to never timeout.
+ vbm "STATUS:$fn:scriptTTL:$scriptTTL";
else
yell "ERROR:$fn:timeUntilNextDay exit code $?"; exit 1;
fi;
fi;
elif [[ "$argTimeElement" = "hour" ]]; then
# Set script lifespan to end at start of next hour
+ vbm "STATUS:$fn:Setting script lifespan to end at start of next hour. argTimeElement:$argTimeElement";
if ! scriptTTL="$(timeUntilNextHour)"; then # sets scriptTTL, then checks exit code
if [[ "$scriptTTL" -eq 0 ]]; then
((scriptTTL++)); # Add 1 because 0 would cause 'timeout' to never timeout.
+ vbm "STATUS:$fn:scriptTTL:$scriptTTL";
else
yell "ERROR:$fn:timeUntilNextHour exit code $?"; exit 1;
fi;